apiVersion: batch/v1
kind: Job
metadata:
  name: ${FQDN}-apps
  namespace: ${NS}
spec:
  template:
    spec:
      restartPolicy: Never
      containers:
        - name: scim
          image: libresh/rc-apps-mgr-job:44749827-2022-05-06
          env:
            - name: HOST
              value: http://${FQDN}-app:3000
            - name: USERNAME
              valueFrom:
                configMapKeyRef:
                  key: ADMIN_USERNAME
                  name: ${FQDN}-config
            - name: PASSWORD
              valueFrom:
                secretKeyRef:
                  key: ADMIN_PASS
                  name: ${FQDN}-app
